Subject: [PATCH 1/2] remoteproc: use a flag to detect the presence of IOMMU

From: [email-masked] (Suman Anna)
Date: Mon, 4 Aug 2014 10:48:56 -0500

On 08/04/2014 06:50 AM, Ohad Ben-Cohen wrote:
> On Tue, Jul 29, 2014 at 7:10 PM, Suman Anna <[email-masked]> wrote:
>> We are trying to add a remoteproc driver for a small Cortex M3 called
>> the WkupM3 used for suspend/resume management on TI AM335/AM437x SoCs.
>> This processor does not have an MMU. Same is the case with another
>> processor subsystem PRU-ICSS on AM335/AM437x. All these are platform
>> devices, and the current iommu_present check will not scale for the same
>> kernel image to support OMAP4/OMAP5 and AM335/AM437x.
> 
> That's perfect, thanks. Can you please add this use case description
> to the commit log?

I kept the current description generic, but sure, I can add this
specific usecase examples to the commit log. I will post the revised
patches once rc1 is out.

regards
Suman